Bug 53883 - No (or intermittent) XAML intellisense in .NET Standard projects (VS2017)
Summary: No (or intermittent) XAML intellisense in .NET Standard projects (VS2017)
Status: RESOLVED UPSTREAM
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: General (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- enhancement
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-03-23 21:33 UTC by Christer van der Meeren
Modified: 2017-10-03 08:23 UTC (History)
8 users (show)

Tags: VS2017I
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED UPSTREAM

Description Christer van der Meeren 2017-03-23 21:33:19 UTC
# Steps to reproduce

1. Add a new .NET Standard project in a solution.

2. As desribed on https://xamarinhelp.com/visual-studio-2017-net-standard-xamarin, edit the csproj and add <PackageTargetFallback>$(PackageTargetFallback);portable-win+net45+wp8+win81+wpa8</PackageTargetFallback>

3. Install Xamarin.Forms 2.3.4.214-pre5 through NuGet

4. Right-click the class library, select Add -> New Item, and add a XAML item (e.g. "Forms Blank ContentPage XAML")

5. Open the XAML file

# Expected behavior

Intellisense should consistently be working in the XAML file, e.g. autocompletion when you type <

# Actual behavior

Intellisense is not working (or is only working very rarely - try restarting VS or adding a new XAML file if you have difficulty reproducing it)

# Test environment (full version information)

Visual Studio 2017 (15.0.0)
Xamarin 4.3.0.784
Xamarin.Forms 2.3.4.214-pre5
Comment 1 Daniel Cazzulino 2017-04-06 16:15:17 UTC
I have communicated the issue to the XAML team in Visual Studio.

Please do report this via the Send Feedback in VS2017 instead so it gets proper follow up as it's external to Xamarin.

Thanks!
Comment 3 dengere 2017-10-03 08:23:01 UTC
Thanks. 
But your reporte referenced as another issue which is doesn't have, link is broken...